<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwConfigurationDB: CDB_API_PARAMS Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwConfigurationDB
   &#160;<span id="projectnumber">8.4.3</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('structCDB__API__PARAMS.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structCDB__API__PARAMS-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">CDB_API_PARAMS Struct Reference<div class="ingroups"><a class="el" href="group__PLSQLAPI.html">External access to ConfigurationDB (PL/SQL API)</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Input/Output table for the PL/SQL API.  
 <a href="structCDB__API__PARAMS.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a823f99a60c3bb7377e7484080cd17cec"><td class="memItemLeft" align="right" valign="top"><a id="a823f99a60c3bb7377e7484080cd17cec"></a>
NUMBER&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCDB__API__PARAMS.html#a823f99a60c3bb7377e7484080cd17cec">I1</a></td></tr>
<tr class="memdesc:a823f99a60c3bb7377e7484080cd17cec"><td class="mdescLeft">&#160;</td><td class="mdescRight">generic integer parameter, usually an index <br /></td></tr>
<tr class="separator:a823f99a60c3bb7377e7484080cd17cec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c179f87bb756878d901a2842edaaef4"><td class="memItemLeft" align="right" valign="top"><a id="a2c179f87bb756878d901a2842edaaef4"></a>
NUMBER&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCDB__API__PARAMS.html#a2c179f87bb756878d901a2842edaaef4">I2</a></td></tr>
<tr class="memdesc:a2c179f87bb756878d901a2842edaaef4"><td class="mdescLeft">&#160;</td><td class="mdescRight">generic integer parameter <br /></td></tr>
<tr class="separator:a2c179f87bb756878d901a2842edaaef4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab95b97919048de26e2552c7d2092eb12"><td class="memItemLeft" align="right" valign="top"><a id="ab95b97919048de26e2552c7d2092eb12"></a>
NUMBER&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCDB__API__PARAMS.html#ab95b97919048de26e2552c7d2092eb12">I3</a></td></tr>
<tr class="memdesc:ab95b97919048de26e2552c7d2092eb12"><td class="mdescLeft">&#160;</td><td class="mdescRight">generic integer parameter <br /></td></tr>
<tr class="separator:ab95b97919048de26e2552c7d2092eb12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae619162a185f35f72daba119f245a252"><td class="memItemLeft" align="right" valign="top"><a id="ae619162a185f35f72daba119f245a252"></a>
NUMBER&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCDB__API__PARAMS.html#ae619162a185f35f72daba119f245a252">I4</a></td></tr>
<tr class="memdesc:ae619162a185f35f72daba119f245a252"><td class="mdescLeft">&#160;</td><td class="mdescRight">generic integer parameter <br /></td></tr>
<tr class="separator:ae619162a185f35f72daba119f245a252"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a518c93f9b7db2893f462e73775b1fecd"><td class="memItemLeft" align="right" valign="top"><a id="a518c93f9b7db2893f462e73775b1fecd"></a>
NUMBER&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCDB__API__PARAMS.html#a518c93f9b7db2893f462e73775b1fecd">I5</a></td></tr>
<tr class="memdesc:a518c93f9b7db2893f462e73775b1fecd"><td class="mdescLeft">&#160;</td><td class="mdescRight">generic integer parameter <br /></td></tr>
<tr class="separator:a518c93f9b7db2893f462e73775b1fecd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf920994d7023449580575ca9477eec1"><td class="memItemLeft" align="right" valign="top"><a id="acf920994d7023449580575ca9477eec1"></a>
NUMBER&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCDB__API__PARAMS.html#acf920994d7023449580575ca9477eec1">I6</a></td></tr>
<tr class="memdesc:acf920994d7023449580575ca9477eec1"><td class="mdescLeft">&#160;</td><td class="mdescRight">generic integer parameter <br /></td></tr>
<tr class="separator:acf920994d7023449580575ca9477eec1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3caf7093d65ec6fad2f26ceb97f5a39c"><td class="memItemLeft" align="right" valign="top"><a id="a3caf7093d65ec6fad2f26ceb97f5a39c"></a>
NUMBER&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCDB__API__PARAMS.html#a3caf7093d65ec6fad2f26ceb97f5a39c">I7</a></td></tr>
<tr class="memdesc:a3caf7093d65ec6fad2f26ceb97f5a39c"><td class="mdescLeft">&#160;</td><td class="mdescRight">generic integer parameter <br /></td></tr>
<tr class="separator:a3caf7093d65ec6fad2f26ceb97f5a39c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b58eea6ae14640bd388148733a3e020"><td class="memItemLeft" align="right" valign="top"><a id="a4b58eea6ae14640bd388148733a3e020"></a>
NUMBER&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCDB__API__PARAMS.html#a4b58eea6ae14640bd388148733a3e020">I8</a></td></tr>
<tr class="memdesc:a4b58eea6ae14640bd388148733a3e020"><td class="mdescLeft">&#160;</td><td class="mdescRight">generic integer parameter <br /></td></tr>
<tr class="separator:a4b58eea6ae14640bd388148733a3e020"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50abb9a56e7d5803cdd790e83fea1718"><td class="memItemLeft" align="right" valign="top"><a id="a50abb9a56e7d5803cdd790e83fea1718"></a>
VARCHAR2[512]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCDB__API__PARAMS.html#a50abb9a56e7d5803cdd790e83fea1718">S1</a></td></tr>
<tr class="memdesc:a50abb9a56e7d5803cdd790e83fea1718"><td class="mdescLeft">&#160;</td><td class="mdescRight">string parameter; typically contains a device name <br /></td></tr>
<tr class="separator:a50abb9a56e7d5803cdd790e83fea1718"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaafb8feba71c8d32185086792579d654"><td class="memItemLeft" align="right" valign="top"><a id="aaafb8feba71c8d32185086792579d654"></a>
VARCHAR2[512]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCDB__API__PARAMS.html#aaafb8feba71c8d32185086792579d654">S2</a></td></tr>
<tr class="memdesc:aaafb8feba71c8d32185086792579d654"><td class="mdescLeft">&#160;</td><td class="mdescRight">string parameter <br /></td></tr>
<tr class="separator:aaafb8feba71c8d32185086792579d654"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79a77c54a4e9e4cd1e0b9bbbe9c5d468"><td class="memItemLeft" align="right" valign="top"><a id="a79a77c54a4e9e4cd1e0b9bbbe9c5d468"></a>
VARCHAR2[256]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCDB__API__PARAMS.html#a79a77c54a4e9e4cd1e0b9bbbe9c5d468">S3</a></td></tr>
<tr class="memdesc:a79a77c54a4e9e4cd1e0b9bbbe9c5d468"><td class="mdescLeft">&#160;</td><td class="mdescRight">string parameter <br /></td></tr>
<tr class="separator:a79a77c54a4e9e4cd1e0b9bbbe9c5d468"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6dd09461552a591fbfefc7042d704fa1"><td class="memItemLeft" align="right" valign="top"><a id="a6dd09461552a591fbfefc7042d704fa1"></a>
VARCHAR2[256]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCDB__API__PARAMS.html#a6dd09461552a591fbfefc7042d704fa1">S4</a></td></tr>
<tr class="memdesc:a6dd09461552a591fbfefc7042d704fa1"><td class="mdescLeft">&#160;</td><td class="mdescRight">string parameter <br /></td></tr>
<tr class="separator:a6dd09461552a591fbfefc7042d704fa1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1795c0618716be26be5e2d5667556533"><td class="memItemLeft" align="right" valign="top"><a id="a1795c0618716be26be5e2d5667556533"></a>
VARCHAR2[256]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCDB__API__PARAMS.html#a1795c0618716be26be5e2d5667556533">S5</a></td></tr>
<tr class="memdesc:a1795c0618716be26be5e2d5667556533"><td class="mdescLeft">&#160;</td><td class="mdescRight">string parameter <br /></td></tr>
<tr class="separator:a1795c0618716be26be5e2d5667556533"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21e9a82f70f73496d564311b518d703d"><td class="memItemLeft" align="right" valign="top"><a id="a21e9a82f70f73496d564311b518d703d"></a>
VARCHAR2[256]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCDB__API__PARAMS.html#a21e9a82f70f73496d564311b518d703d">S6</a></td></tr>
<tr class="memdesc:a21e9a82f70f73496d564311b518d703d"><td class="mdescLeft">&#160;</td><td class="mdescRight">string parameter <br /></td></tr>
<tr class="separator:a21e9a82f70f73496d564311b518d703d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b1586800313cfe47b0b62e0e7e4b02c"><td class="memItemLeft" align="right" valign="top"><a id="a9b1586800313cfe47b0b62e0e7e4b02c"></a>
VARCHAR2[4000]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCDB__API__PARAMS.html#a9b1586800313cfe47b0b62e0e7e4b02c">S7</a></td></tr>
<tr class="memdesc:a9b1586800313cfe47b0b62e0e7e4b02c"><td class="mdescLeft">&#160;</td><td class="mdescRight">long string parameter <br /></td></tr>
<tr class="separator:a9b1586800313cfe47b0b62e0e7e4b02c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6606ffb5d7d5d40fe6f6a5c7c84c3c97"><td class="memItemLeft" align="right" valign="top"><a id="a6606ffb5d7d5d40fe6f6a5c7c84c3c97"></a>
VARCHAR2[4000]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCDB__API__PARAMS.html#a6606ffb5d7d5d40fe6f6a5c7c84c3c97">S8</a></td></tr>
<tr class="memdesc:a6606ffb5d7d5d40fe6f6a5c7c84c3c97"><td class="mdescLeft">&#160;</td><td class="mdescRight">long string parameter <br /></td></tr>
<tr class="separator:a6606ffb5d7d5d40fe6f6a5c7c84c3c97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5fb4f73abb1ca4b433b32dc7a41e880"><td class="memItemLeft" align="right" valign="top"><a id="af5fb4f73abb1ca4b433b32dc7a41e880"></a>
VARCHAR2[16]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCDB__API__PARAMS.html#af5fb4f73abb1ca4b433b32dc7a41e880">S9</a></td></tr>
<tr class="memdesc:af5fb4f73abb1ca4b433b32dc7a41e880"><td class="mdescLeft">&#160;</td><td class="mdescRight">short string parameter <br /></td></tr>
<tr class="separator:af5fb4f73abb1ca4b433b32dc7a41e880"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a821732c67a2fe4544f2b32d39e011615"><td class="memItemLeft" align="right" valign="top"><a id="a821732c67a2fe4544f2b32d39e011615"></a>
VARCHAR2[16]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCDB__API__PARAMS.html#a821732c67a2fe4544f2b32d39e011615">S10</a></td></tr>
<tr class="memdesc:a821732c67a2fe4544f2b32d39e011615"><td class="mdescLeft">&#160;</td><td class="mdescRight">short string parameter <br /></td></tr>
<tr class="separator:a821732c67a2fe4544f2b32d39e011615"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b1b73ec658729086f3ee3a78f5ced94"><td class="memItemLeft" align="right" valign="top"><a id="a0b1b73ec658729086f3ee3a78f5ced94"></a>
DATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCDB__API__PARAMS.html#a0b1b73ec658729086f3ee3a78f5ced94">D1</a></td></tr>
<tr class="memdesc:a0b1b73ec658729086f3ee3a78f5ced94"><td class="mdescLeft">&#160;</td><td class="mdescRight">date/time parameter, typicaly the start time (beginning of IOV) <br /></td></tr>
<tr class="separator:a0b1b73ec658729086f3ee3a78f5ced94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe736301a9f746006daa62f7858b63ca"><td class="memItemLeft" align="right" valign="top"><a id="afe736301a9f746006daa62f7858b63ca"></a>
DATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCDB__API__PARAMS.html#afe736301a9f746006daa62f7858b63ca">D2</a></td></tr>
<tr class="memdesc:afe736301a9f746006daa62f7858b63ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">date/time parameter, typicaly the end time (end of IOV) <br /></td></tr>
<tr class="separator:afe736301a9f746006daa62f7858b63ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e2c4d6aa86f0d54144dcc74ef8fe26b"><td class="memItemLeft" align="right" valign="top"><a id="a5e2c4d6aa86f0d54144dcc74ef8fe26b"></a>
BLOB&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCDB__API__PARAMS.html#a5e2c4d6aa86f0d54144dcc74ef8fe26b">B1</a></td></tr>
<tr class="memdesc:a5e2c4d6aa86f0d54144dcc74ef8fe26b"><td class="mdescLeft">&#160;</td><td class="mdescRight">blob parameter <br /></td></tr>
<tr class="separator:a5e2c4d6aa86f0d54144dcc74ef8fe26b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Input/Output table for the PL/SQL API. </p>
<p><a class="el" href="structCDB__API__PARAMS.html" title="Input/Output table for the PL/SQL API.">CDB_API_PARAMS</a> is a global temporary table used to pass the data from/to the PL/SQL functions contained in the package <a class="el" href="group__PLSQLAPI.html">External access to ConfigurationDB (PL/SQL API)</a> .</p>
<p>The table is used to pass the data which has a form of list of records, such as the list of device names, or a list of settings for a recipe, where device element is specified in one column, and the corresponding setting in another.</p>
<p>The fields in the table have no a`priori associated meaning, that is why their names are generic. Each function expects its input data to be present in certain columns, and delivers the output into certain columns - the actual assignment (or: meaning) for each column is provided in the description of each procedure.</p>
<p>Being a temporary table, <a class="el" href="structCDB__API__PARAMS.html" title="Input/Output table for the PL/SQL API.">CDB_API_PARAMS</a> does not occupy disk space: it is created in the memory of the database server, and the data contained in it persist only within a session. That also means that separate database sessions (connected to the same database schema) will refer to their private instances of <a class="el" href="structCDB__API__PARAMS.html" title="Input/Output table for the PL/SQL API.">CDB_API_PARAMS</a>, and will not see/alter the data in the instances belonging to other sessions.</p>
<p>The <a class="el" href="structCDB__API__PARAMS.html" title="Input/Output table for the PL/SQL API.">CDB_API_PARAMS</a> table preserves it contents when a commit operation is performed. This is to be able to feed the results returned by one PL/SQL procedure as an input to another. A user should remember to truncate this table before calling a PL/SQL procedure, if he wants to assure the consistency of the data passed into the procedure, using the SQL statement: </p><div class="fragment"><div class="line">DELETE FROM <a class="code" href="structCDB__API__PARAMS.html">CDB_API_PARAMS</a>;</div>
<div class="ttc" id="astructCDB__API__PARAMS_html"><div class="ttname"><a href="structCDB__API__PARAMS.html">CDB_API_PARAMS</a></div><div class="ttdoc">Input/Output table for the PL/SQL API.</div><div class="ttdef"><b>Definition:</b> fwConfigurationDB_TechnicalDocumentation.ctl:503</div></div>
</div><!-- fragment --><p> For safety, some data-integrity checking mechanisms are built into a majority of functions in the package; calling a procedure without cleaning up this I/O table will end up in an error. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="fwConfigurationDB__TechnicalDocumentation_8ctl.html">fwConfigurationDB_TechnicalDocumentation.ctl</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="structCDB__API__PARAMS.html">CDB_API_PARAMS</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
